Featured Categories

  • Tools & Machining
  • Shipping, Packaging & Office Supplies
  • Plumbing
  • Safety

Shop Categories

  • Abrasives & Polishers
  • Adhesives & Tapes
  • Electrical Supplies
  • Electronics
  • Fasteners
  • Food Service & Restaurant Supplies
  • Furniture, Linens & Decor
  • Grounds & Outdoor
  • Hardware & Building Materials
  • Heating & Cooling
  • Janitorial & Cleaning Supplies
  • Lab Equipment & Supplies
  • Lighting
  • Material Handling
  • Medical & Personal Care
  • Paint, Coatings & Supplies
  • Plumbing
  • Power Transmission
  • Pumps
  • Raw Materials
  • Safety
  • Shipping, Packaging & Office Supplies
  • Storage & Workspace
  • Test Instruments & Gauges
  • Tools & Machining
  • Vehicle Maintenance
  • Welding, Soldering & Brazing
  • About Us
  • Deals
  • Contact Us

Added to Cart

Skip to Main Content Accessibility Statement
FREE SHIPPING on orders over $50 after you . Restrictions Apply
Zoro home
Clipboard Icon Clipboard Icon Quick Order
User Headset Icon User Headset Icon Support
0
0
Cart

  • Low prices on everyday needs. Shop Zoro Select
  • Zoro Deal Days is here. New deals every week. Shop Cyber Deals
  • Get 30 days to pay with Net 30. Apply Now

Results for AMERICAN BIOTECH SUPPLY (449 items) - Page 11

American Biotech Supply LabFreezer, 35-1/8"H, Chest, Wht, 15 cu ft ABT-HC-MFS-15-C
American Biotech Supply

LabFreezer, 35-1/8"H, Chest, Wht, 15 cu ft

Zoro # G403510134
Mfr # ABT-HC-MFS-15-C
product price: 
$3,587.99
/ea
American Biotech Supply PharmaFridge, 32"H, Undercounter, Wht PH-ABT-NSF-UCBI-0404G-ADA-LH
American Biotech Supply

PharmaFridge, 32"H, Undercounter, Wht

Zoro # G203670076
Mfr # PH-ABT-NSF-UCBI-0404G-ADA-LH
product price: 
$3,030.99
/ea
American Biotech Supply ChromatographyFridge, 81-5/8"H, Upright, Wh ABT-HC-CP-36
American Biotech Supply

ChromatographyFridge, 81-5/8"H, Upright, Wh

Zoro # G206427080
Mfr # ABT-HC-CP-36
product price: 
$9,133.99
/ea
American Biotech Supply FridgeFreezerCombo, 64-3/4"H, Upright, Wht ABT-HC-RFC1040
American Biotech Supply

FridgeFreezerCombo, 64-3/4"H, Upright, Wht

Zoro # G810769200
Mfr # ABT-HC-RFC1040
product price: 
$4,162.99
/ea
American Biotech Supply Refrigerator, Swing Glass, 12 cu. ft., 6A PH-ABT-HC-12G
American Biotech Supply

Refrigerator, Swing Glass, 12 cu. ft., 6A

Zoro # G5418406
Mfr # PH-ABT-HC-12G
product price: 
$4,710.99
/ea
American Biotech Supply FridgeFreezerCombo, 67.25"H, Upright, Slv ABT-HC-RFC9SS-LH
American Biotech Supply

FridgeFreezerCombo, 67.25"H, Upright, Slv

Zoro # G5418948
Mfr # ABT-HC-RFC9SS-LH
product price: 
$3,856.99
/ea
American Biotech Supply PharmaFridge, 81-5/8"H, Upright, Wh, 23cu ft PH-ABT-NSF-23G
American Biotech Supply

PharmaFridge, 81-5/8"H, Upright, Wh, 23cu ft

Zoro # G303670129
Mfr # PH-ABT-NSF-23G
product price: 
$6,872.99
/ea
American Biotech Supply LabFridge, 30.75"H, Undercounter, Wht PH-ABT-HC-UCBI-0204-LH
American Biotech Supply

LabFridge, 30.75"H, Undercounter, Wht

Zoro # G903513987
Mfr # PH-ABT-HC-UCBI-0204-LH
product price: 
$1,731.99
/ea
American Biotech Supply FridgeFreezerCombo, 67.25"H, Upright, Slv PH-ABT-HC-RFC9SS
American Biotech Supply

FridgeFreezerCombo, 67.25"H, Upright, Slv

Zoro # G5418458
Mfr # PH-ABT-HC-RFC9SS
product price: 
$3,967.99
/ea
American Biotech Supply LabFreeze, 79-5/8"H, Upright, GryWh, 17cu ft ABT-HC-1786-TS
American Biotech Supply

LabFreeze, 79-5/8"H, Upright, GryWh, 17cu ft

Zoro # G321827932
Mfr # ABT-HC-1786-TS
product price: 
$17,878.99
/ea
American Biotech Supply Refrigerator, Standard Door, 26 cu. ft., 6A ABT-HC-SLS-26
American Biotech Supply

Refrigerator, Standard Door, 26 cu. ft., 6A

Zoro # G5420217
Mfr # ABT-HC-SLS-26
product price: 
$4,151.99
/ea
American Biotech Supply Refrigerator, Premier Door, 72 cu. ft., 10A ABT-HC-CS-72
American Biotech Supply

Refrigerator, Premier Door, 72 cu. ft., 10A

Zoro # G5420390
Mfr # ABT-HC-CS-72
product price: 
$7,798.99
/ea
American Biotech Supply FridgeFreezerCombo, 76"H, Upright, Gry/Wht ABT-HC-RFC-16A
American Biotech Supply

FridgeFreezerCombo, 76"H, Upright, Gry/Wht

Zoro # G814644527
Mfr # ABT-HC-RFC-16A
product price: 
$8,285.99
/ea
American Biotech Supply ChromatographyFridge, 81-5/8"H, Upright, Wh ABT-HC-CP-47
American Biotech Supply

ChromatographyFridge, 81-5/8"H, Upright, Wh

Zoro # G206427103
Mfr # ABT-HC-CP-47
product price: 
$8,788.99
/ea
American Biotech Supply FridgeFreezerCombo, 52.75"H, Upright, Wht ABT-HC-RFC7SA
American Biotech Supply

FridgeFreezerCombo, 52.75"H, Upright, Wht

Zoro # G110769238
Mfr # ABT-HC-RFC7SA
product price: 
$3,039.99
/ea
American Biotech Supply Humidity/Temperature Stability Chamber NSRI492WSG/0H
American Biotech Supply

Humidity/Temperature Stability Chamber

Zoro # G610769165
Mfr # NSRI492WSG/0H
product price: 
$32,746.99
/ea
American Biotech Supply Refrigerator, Undercounter, 4.5 cu. ft., 2A ABT-HC-UCBI-0404SS-LH
American Biotech Supply

Refrigerator, Undercounter, 4.5 cu. ft., 2A

Zoro # G5419611
Mfr # ABT-HC-UCBI-0404SS-LH
product price: 
$1,990.99
/ea
American Biotech Supply FridgeFreezerCombo, 64-3/4"H, Upright, Wht ABT-HC-RFC1020
American Biotech Supply

FridgeFreezerCombo, 64-3/4"H, Upright, Wht

Zoro # G410769204
Mfr # ABT-HC-RFC1020
product price: 
$3,599.99
/ea
American Biotech Supply Refrigerator and Freezer, 8.8 cu.ft., Left ABT-HC-RFC9-LH
American Biotech Supply

Refrigerator and Freezer, 8.8 cu.ft., Left

Zoro # G5418981
Mfr # ABT-HC-RFC9-LH
product price: 
$3,570.99
/ea
American Biotech Supply Refrigerator, Premier Door, 47 cu. ft., 7A ABT-HC-CS-47
American Biotech Supply

Refrigerator, Premier Door, 47 cu. ft., 7A

Zoro # G5420427
Mfr # ABT-HC-CS-47
product price: 
$6,639.99
/ea
American Biotech Supply PharmaFridge, 33-3/8"H, Undercounter, Wht PH-ABT-NSF-UCBI-0404
American Biotech Supply

PharmaFridge, 33-3/8"H, Undercounter, Wht

Zoro # G403670036
Mfr # PH-ABT-NSF-UCBI-0404
product price: 
$2,838.99
/ea
American Biotech Supply ChromatographyFridge, 81-5/8"H, Upright, Wh ABT-HC-CP-36-TS
American Biotech Supply

ChromatographyFridge, 81-5/8"H, Upright, Wh

Zoro # G006427440
Mfr # ABT-HC-CP-36-TS
product price: 
$10,517.99
/ea
American Biotech Supply FridgeFreezerCombo, 67.25"H, Upright, Slv PH-ABT-HC-RFC9SS-LH
American Biotech Supply

FridgeFreezerCombo, 67.25"H, Upright, Slv

Zoro # G5418449
Mfr # PH-ABT-HC-RFC9SS-LH
product price: 
$4,331.99
/ea
American Biotech Supply FridgeFreezerCombo, 80-3/8"H, Upright, Wht PH-ABT-HC-RFC12A-CAD
American Biotech Supply

FridgeFreezerCombo, 80-3/8"H, Upright, Wht

Zoro # G810769255
Mfr # PH-ABT-HC-RFC12A-CAD
product price: 
$6,057.99
/ea
American Biotech Supply FridgeFreezerCombo, 64-3/4"H, Upright, Wht ABT-HC-RFC1030
American Biotech Supply

FridgeFreezerCombo, 64-3/4"H, Upright, Wht

Zoro # G310769229
Mfr # ABT-HC-RFC1030
product price: 
$3,818.99
/ea
American Biotech Supply FridgeFreezerCombo, 67.25"H, Upright, Wht PH-ABT-HC-RFC9G
American Biotech Supply

FridgeFreezerCombo, 67.25"H, Upright, Wht

Zoro # G5418476
Mfr # PH-ABT-HC-RFC9G
product price: 
$3,517.99
/ea
American Biotech Supply ChromatographyFridge, 78"H, Upright, Wht ABT-HC-CP-26-TS
American Biotech Supply

ChromatographyFridge, 78"H, Upright, Wht

Zoro # G006427433
Mfr # ABT-HC-CP-26-TS
product price: 
$7,653.99
/ea
American Biotech Supply Refrigerator, Undercounter, 4.6 cu. ft., 5A ABT-HC-UCBI-0404G
American Biotech Supply

Refrigerator, Undercounter, 4.6 cu. ft., 5A

Zoro # G5419666
Mfr # ABT-HC-UCBI-0404G
product price: 
$1,641.99
/ea
American Biotech Supply ChromatographyFridge, 81-5/8"H, Upright, Wh ABT-HC-CP-23-TS
American Biotech Supply

ChromatographyFridge, 81-5/8"H, Upright, Wh

Zoro # G206427370
Mfr # ABT-HC-CP-23-TS
product price: 
$7,685.99
/ea
American Biotech Supply PharmaFridge, 32"H, Undercounter, Wht PH-ABT-NSF-UCBI-0404G-ADA
American Biotech Supply

PharmaFridge, 32"H, Undercounter, Wht

Zoro # G303670075
Mfr # PH-ABT-NSF-UCBI-0404G-ADA
product price: 
$2,977.99
/ea
American Biotech Supply PharmaFridge, 32"H, Undercounter, Wht PH-ABT-NSF-UCBI-0404-ADA-LH
American Biotech Supply

PharmaFridge, 32"H, Undercounter, Wht

Zoro # G403670104
Mfr # PH-ABT-NSF-UCBI-0404-ADA-LH
product price: 
$2,998.99
/ea
American Biotech Supply FridgeFreezerCombo, 64-3/4"H, Upright, Wht ABT-HC-ERFC10
American Biotech Supply

FridgeFreezerCombo, 64-3/4"H, Upright, Wht

Zoro # G411221244
Mfr # ABT-HC-ERFC10
product price: 
$6,683.99
/ea
American Biotech Supply Refrigerator, Three Glass, 72 cu. ft., 10A PH-ABT-HC-72G
American Biotech Supply

Refrigerator, Three Glass, 72 cu. ft., 10A

Zoro # G5418257
Mfr # PH-ABT-HC-72G
product price: 
$11,901.99
/ea
American Biotech Supply Refrigerator, Premier Door, 33 cu. ft., 6A ABT-HC-CS-33
American Biotech Supply

Refrigerator, Premier Door, 33 cu. ft., 6A

Zoro # G5420445
Mfr # ABT-HC-CS-33
product price: 
$5,841.99
/ea
No Product Image Available
American Biotech Supply

PharmVaccineFridge, 20-1/8"H, Tabletop, Wht

Zoro # G823654395
Mfr # PH-ABT-NSF-UCFS-0104
product price: 
$3,596.99
/ea
American Biotech Supply FridgeFreezerCombo, 52.75"H, Upright, Wht PH-ABT-HC-RFC7SA-CAD
American Biotech Supply

FridgeFreezerCombo, 52.75"H, Upright, Wht

Zoro # G010769239
Mfr # PH-ABT-HC-RFC7SA-CAD
product price: 
$4,749.99
/ea
Results for AMERICAN BIOTECH SUPPLY (449 items) - Page 11
  • First
  • Previous
  • 11
    of 13 pages
  • Next
  • Last
How was your search?
You may also like

Sign up and save

Take 10% off your next order when you sign up for Zoro emails. Subscribe now to receive your promo code via email.

Follow us

  • Facebook
  • YouTube
  • LinkedIn
  • Instagram
Every part plays a part

Information

  • About Us
  • Accessibility
  • Careers
  • Inclusion
  • Giving Back
  • Resource Hub
  • Returns
  • Shipping

Shopping

  • Brands
  • Collections
  • My Account
  • Payments
  • Deals
  • Sitemap
  • Track My Order

Services

  • Customer Service
  • FAQs
  • Net 30 Terms
  • Reseller Program
  • Sell on Zoro
  • Participate in Research
  • Tax Exemption

Zoro home

Connect

Customer service from real people

  • Phone: (855) 289-9676
  • Contact Us

© 2011-2026 Zoro Tools, Inc. All rights reserved.
  • Terms & Conditions
  • Terms of Access
  • Privacy Policy
Zoro home